## sdformat9 9.6.1+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

if(COMMAND CMAKE_POLICY)
  CMAKE_POLICY(SET CMP0003 NEW)
  CMAKE_POLICY(SET CMP0004 NEW)
endif(COMMAND CMAKE_POLICY)
enable_testing()

# with -fPIC
if(UNIX AND NOT WIN32)
  set (CMAKE_INSTALL_PREFIX "/usr" CACHE STRING "Install Prefix")
 find_program(CMAKE_UNAME uname /bin /usr/bin /usr/local/bin )
 if(CMAKE_UNAME)
   exec_program(uname ARGS -m OUTPUT_VARIABLE CMAKE_SYSTEM_PROCESSOR)
   set(CMAKE_SYSTEM_PROCESSOR ${CMAKE_SYSTEM_PROCESSOR} CACHE INTERNAL
     "processor type (i386 and x86_64)")
   if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
     ADD_DEFINITIONS(-fPIC)
   endif(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
 endif(CMAKE_UNAME)
endif()

project (sdformat9)

# The protocol version has nothing to do with the package version set below.
# It represents the current version of sdformat implement by the software
set (SDF_PROTOCOL_VERSION 1.7)

set (SDF_MAJOR_VERSION 9)
set (SDF_MINOR_VERSION 6)
set (SDF_PATCH_VERSION 1)

set (SDF_VERSION ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION})
set (SDF_VERSION_FULL ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION}.${SDF_PATCH_VERSION})

string (TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
string(REGEX REPLACE "[0-9]+" "" PROJECT_NAME_NO_VERSION ${PROJECT_NAME})
string(TOLOWER ${PROJECT_NAME_NO_VERSION} PROJECT_NAME_NO_VERSION_LOWER)
set(PROJECT_EXPORT_NAME ${PROJECT_NAME_LOWER})
set(PROJECT_LIBRARY_TARGET_NAME ${PROJECT_NAME_LOWER})

set (project_cmake_dir ${PROJECT_SOURCE_DIR}/cmake
  CACHE PATH "Location of CMake scripts")

message (STATUS "${PROJECT_NAME} version ${SDF_VERSION_FULL}")
set (CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE ON)

#============================================================================
# We turn off extensions because (1) we do not ever want to use non-standard
# compiler extensions, and (2) this variable is on by default, causing cmake
# to choose the flag -std=gnu++14 instead of -std=c++14 when the C++14
# features are requested. Explicitly turning this flag off will force cmake to
# choose -std=c++14.
# See https://github.com/ignitionrobotics/ign-cmake/issues/13 for more info.
set(CMAKE_CXX_EXTENSIONS off)

# Include GNUInstallDirs to get canonical paths
include(GNUInstallDirs)

# Default test type for test all over source
set(TEST_TYPE "UNIT")

# developer's option to cache PKG_CONFIG_PATH and
# LD_LIBRARY_PATH for local installs
if(PKG_CONFIG_PATH)
  set (ENV{PKG_CONFIG_PATH} ${PKG_CONFIG_PATH}:$ENV{PKG_CONFIG_PATH})
endif()
if(LD_LIBRARY_PATH)
  set (ENV{LD_LIBRARY_PATH} ${LD_LIBRARY_PATH}:$ENV{LD_LIBRARY_PATH})
endif()

set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_INCLUDEDIR}/sdformat-${SDF_VERSION}/sdf")
set (LIB_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR} CACHE STRING "Installation directory for libraries (relative to CMAKE_INSTALL_PREFIX)")
set (BIN_INSTALL_DIR ${CMAKE_INSTALL_BINDIR} CACHE STRING "Installation directory for binaries (relative to CMAKE_INSTALL_PREFIX)")
set (USE_FULL_RPATH OFF CACHE BOOL "Set to true to enable full rpath")

set(PKG_NAME SDFormat)
set(sdf_target sdformat${SDF_MAJOR_VERSION})
set(sdf_config_install_dir "${LIB_INSTALL_DIR}/cmake/${PROJECT_NAME_LOWER}/")
set(sdf_import_target_name ${PROJECT_EXPORT_NAME}::${sdf_target})
set(sdf_target_output_filename "${sdf_target}-targets.cmake")


if (USE_FULL_RPATH)
  # use, i.e. don't skip the full RPATH for the build tree
  set(CMAKE_SKIP_BUILD_RPATH  FALSE)

  # when building, don't use the install RPATH already
  # (but later on when installing)
  set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)

  set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")

  # add the automatically determined parts of the RPATH
  # which point to directories outside the build tree to the install RPATH
  set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

  # the RPATH to be used when installing, but only if its not a system directory
  list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}" isSystemDir)
  if("${isSystemDir}" STREQUAL "-1")
    set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")
  endif("${isSystemDir}" STREQUAL "-1")
endif()

set (BUILD_SDF ON CACHE INTERNAL "Build SDF" FORCE)
set (build_errors "" CACHE INTERNAL "build errors" FORCE)
set (build_warnings "" CACHE INTERNAL "build warnings" FORCE)

set (sdf_cmake_dir ${PROJECT_SOURCE_DIR}/cmake CACHE PATH
     "Location of CMake scripts")

include (${sdf_cmake_dir}/SDFUtils.cmake)

message (STATUS "\n\n====== Finding 3rd Party Packages ======")
 # Use of tinyxml. System installation on UNIX. Internal copy on WIN
if (UNIX)
  message (STATUS "Using system tinyxml")
  set (USE_EXTERNAL_TINYXML True)
elseif(WIN32)
  message (STATUS "Using internal tinyxml code")
  set (USE_EXTERNAL_TINYXML False)
else()
  message (STATUS "Unknown platform")
  BUILD_ERROR("Unknown platform")
endif()
include (${sdf_cmake_dir}/SearchForStuff.cmake)
message (STATUS "----------------------------------------\n")

#####################################
# Set the default build type
if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING
    "Choose the type of build, options are: Debug Release RelWithDebInfo Profile Check" FORCE)
endif (NOT CMAKE_BUILD_TYPE)
string(TOUPPER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_UPPERCASE)

set (BUILD_TYPE_PROFILE FALSE)
set (BUILD_TYPE_RELEASE FALSE)
set (BUILD_TYPE_RELWITHDEBINFO FALSE)
set (BUILD_TYPE_DEBUG FALSE)

if ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "PROFILE")
  set (BUILD_TYPE_PROFILE TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "RELEASE")
  set (BUILD_TYPE_RELEASE TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "RELWITHDEBINFO")
  set (BUILD_TYPE_RELWITHDEBINFO TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "DEBUG")
  set (BUILD_TYPE_DEBUG TRUE)
elseif ("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "COVERAGE")
  include (${project_cmake_dir}/CodeCoverage.cmake)
  set (BUILD_TYPE_DEBUG TRUE)
  SETUP_TARGET_FOR_COVERAGE(coverage ctest coverage)
else()
  # NONE is a valid CMAKE_BUILD_TYPE
  if (NOT "${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "NONE")
    build_error("CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} unknown. Valid options are: Debug Release RelWithDebInfo Profile Coverage None")
  endif()
endif()

#####################################
# Handle CFlags
unset (CMAKE_C_FLAGS_ALL CACHE)

# USE_HOST_CFLAGS (default TRUE)
# Will check building host machine for proper cflags
if(NOT DEFINED USE_HOST_CFLAGS OR USE_HOST_CFLAGS)
  message(STATUS "Enable host CFlags")
  include (${project_cmake_dir}/HostCFlags.cmake)
endif()

# USE_UPSTREAM_CFLAGS (default TRUE)
# Will use predefined ignition developers cflags
if(NOT DEFINED USE_UPSTREAM_CFLAGS OR USE_UPSTREAM_CFLAGS)
  message(STATUS "Enable upstream CFlags")
  include(${project_cmake_dir}/DefaultCFlags.cmake)
endif()

# Check if warning options are avaliable for the compiler and return WARNING_CXX_FLAGS variable
if (MSVC)
  set(WARN_LEVEL "/W4")

  # Unable to be filtered flags (failing due to limitations in filter_valid_compiler_warnings)
  # Handling exceptions rightly and ignore unknown pragmas
  set(UNFILTERED_FLAGS "/EHsc /wd4068")
else()
  # Equivalent to Wall (according to man gcc) but removed the unknown pragmas since we use
  # MSVC only pragmas all over the code
  list(APPEND WARN_LEVEL -Waddress -Warray-bounds -Wcomment -Wformat -Wnonnull)
  list(APPEND WARN_LEVEL -Wparentheses -Wreorder -Wreturn-type)
  list(APPEND WARN_LEVEL -Wsequence-point -Wsign-compare -Wstrict-aliasing)
  list(APPEND WARN_LEVEL -Wstrict-overflow=1 -Wswitch -Wtrigraphs -Wuninitialized)
  list(APPEND WARN_LEVEL -Wunused-function -Wunused-label -Wunused-value)
  list(APPEND WARN_LEVEL -Wunused-variable -Wvolatile-register-var)

  # Unable to be filtered flags (failing due to limitations in filter_valid_compiler_warnings)
  set(UNFILTERED_FLAGS "-Wc++17-compat")
endif()

filter_valid_compiler_warnings(${WARN_LEVEL} -Wextra -Wno-long-long
  -Wno-unused-value -Wno-unused-value -Wno-unused-value -Wno-unused-value
  -Wfloat-equal -Wshadow -Winit-self -Wswitch-default
  -Wmissing-include-dirs -pedantic -Wno-pragmas)
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}${WARNING_CXX_FLAGS} ${UNFILTERED_FLAGS}")

#################################################
# OS Specific initialization
if (UNIX)
  sdf_setup_unix()
endif ()

if (WIN32)
  sdf_setup_windows()
endif ()

if (APPLE)
  sdf_setup_apple()
endif ()

#################################################
# Print warnings and errors
if ( build_warnings )
  message(WARNING "-- BUILD WARNINGS")
  foreach (msg ${build_warnings})
    message(WARNING "-- ${msg}")
  endforeach ()
  message(WARNING "-- END BUILD WARNINGS\n")
endif (build_warnings)

########### Add uninstall target ###############
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)
add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P
  "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake")

if (build_errors)
  message(SEND_ERROR "-- BUILD ERRORS: These must be resolved before compiling.")
  foreach (msg ${build_errors})
    message(SEND_ERROR "-- ${msg}")
  endforeach ()
  message(SEND_ERROR "-- END BUILD ERRORS\n")
  message (FATAL_ERROR "Errors encountered in build. Please see the BUILD ERRORS above.")

else (build_errors)

  ########################################
  # Write the config.h file
  configure_file (${sdf_cmake_dir}/sdf_config.h.in
    ${PROJECT_BINARY_DIR}/sdf/sdf_config.h)
  sdf_install_includes("" ${PROJECT_BINARY_DIR}/sdf/sdf_config.h)

  message (STATUS "C Flags:${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_${CMAKE_BUILD_TYPE}}")
  message (STATUS "Build Type: ${CMAKE_BUILD_TYPE}")
  message (STATUS "Install path: ${CMAKE_INSTALL_PREFIX}")

  if (BUILD_SDF)
    include_directories(include
      ${PROJECT_BINARY_DIR}
      ${PROJECT_BINARY_DIR}/include
      )

    link_directories(${PROJECT_BINARY_DIR}/src)

    if (NOT DEFINED BUILD_TESTING OR BUILD_TESTING)
      set(BUILD_SDF_TEST TRUE)
    else()
      set(BUILD_SDF_TEST FALSE)
    endif()

    if (BUILD_SDF_TEST)
      add_subdirectory(test)
    endif()
    add_subdirectory(src)
    add_subdirectory(include/sdf)
    add_subdirectory(sdf)
    add_subdirectory(conf)
    add_subdirectory(doc)
  endif(BUILD_SDF)

  ########################################
  # Setup Codecheck
  include (IgnCodeCheck)
  set(CPPCHECK_DIRS
    ${PROJECT_SOURCE_DIR}/src
    ${PROJECT_SOURCE_DIR}/include
    ${PROJECT_SOURCE_DIR}/test/integration
    ${PROJECT_SOURCE_DIR}/test/performance)

  set(CPPCHECK_INCLUDE_DIRS
    ${PROJECT_BINARY_DIR}
    ${PROJECT_SOURCE_DIR}/include
    ${PROJECT_SOURCE_DIR}/test/integration
    ${PROJECT_SOURCE_DIR}/test/performance)

  # Ignore vendored directories.
  file(WRITE ${PROJECT_BINARY_DIR}/cppcheck.suppress
    "*:${PROJECT_SOURCE_DIR}/src/win/*\n"
    "*:${PROJECT_SOURCE_DIR}/src/urdf/*\n"
    )
  ign_setup_target_for_codecheck()

  ########################################
  # Make the package config file
  configure_file(${CMAKE_SOURCE_DIR}/cmake/sdformat_pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake/${PROJECT_NAME_LOWER}.pc @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cmake/${PROJECT_NAME_LOWER}.pc DESTINATION
    ${LIB_INSTALL_DIR}/pkgconfig COMPONENT pkgconfig)

  ########################################
  # Configure documentation uploader
  configure_file("${CMAKE_SOURCE_DIR}/cmake/upload_doc.sh.in"
    ${CMAKE_BINARY_DIR}/upload_doc.sh @ONLY)

  ########################################
  # Make the cmake config files
  set(sdf_config_input  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/sdf_config.cmake.in")
  set(sdf_config_output "cmake/${sdf_target}-config.cmake")
  set(sdf_version_output "cmake/${sdf_target}-config-version.cmake")
  set(sdf_config_install_dir "${LIB_INSTALL_DIR}/cmake/${PROJECT_NAME_LOWER}/")

  #--------------------------------------
  # Configure and install the config file
  configure_package_config_file(

=== src/CMakeLists.txt ===
include (${sdf_cmake_dir}/SDFUtils.cmake)

link_directories(
  ${PROJECT_BINARY_DIR}/test
)

if (NOT USE_INTERNAL_URDF)
  link_directories(${URDF_LIBRARY_DIRS})
endif()

if (USE_EXTERNAL_TINYXML)
  link_directories(${tinyxml_LIBRARY_DIRS})
endif()

set (sources
  Actor.cc
  AirPressure.cc
  Altimeter.cc
  Atmosphere.cc
  Box.cc
  Camera.cc
  Collision.cc
  Console.cc
  Converter.cc
  Cylinder.cc
  Element.cc
  Error.cc
  Exception.cc
  Frame.cc
  FrameSemantics.cc
  Filesystem.cc
  Geometry.cc
  Gui.cc
  Heightmap.cc
  ign.cc
  Imu.cc
  Joint.cc
  JointAxis.cc
  Lidar.cc
  Light.cc
  Link.cc
  Magnetometer.cc
  Material.cc
  Mesh.cc
  Model.cc
  NavSat.cc
  Noise.cc
  parser.cc
  parser_urdf.cc
  Param.cc
  Pbr.cc
  Physics.cc
  Plane.cc
  Root.cc
  Scene.cc
  SDF.cc
  SDFExtension.cc
  SemanticPose.cc
  Sensor.cc
  Sky.cc
  Sphere.cc
  Surface.cc
  Types.cc
  Utils.cc
  Visual.cc
  World.cc
)

if (USE_EXTERNAL_TINYXML)
  include_directories(${tinyxml_INCLUDE_DIRS})
else()
  set(sources ${sources}
    win/tinyxml/tinystr.cpp
    win/tinyxml/tinyxmlerror.cpp
    win/tinyxml/tinyxml.cpp
    win/tinyxml/tinyxmlparser.cpp)

    install (FILES win/tinyxml/tinyxml.h
	    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/sdformat-${SDF_VERSION})
endif()

if (USE_INTERNAL_URDF)
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/urdf)
  set(sources ${sources}
  urdf/urdf_parser/model.cpp
  urdf/urdf_parser/link.cpp
  urdf/urdf_parser/joint.cpp
  urdf/urdf_parser/pose.cpp
  urdf/urdf_parser/twist.cpp
  urdf/urdf_parser/urdf_model_state.cpp
  urdf/urdf_parser/urdf_sensor.cpp
  urdf/urdf_parser/world.cpp)
else()
  include_directories(${URDF_INCLUDE_DIRS})
endif()

if (BUILD_SDF_TEST)
  set (gtest_sources
    Actor_TEST.cc
    AirPressure_TEST.cc
    Altimeter_TEST.cc
    Atmosphere_TEST.cc
    Box_TEST.cc
    Camera_TEST.cc
    Collision_TEST.cc
    Console_TEST.cc
    Cylinder_TEST.cc
    Element_TEST.cc
    Error_TEST.cc
    Exception_TEST.cc
    Frame_TEST.cc
    Filesystem_TEST.cc
    Geometry_TEST.cc
    Gui_TEST.cc
    Heightmap_TEST.cc
    Imu_TEST.cc
    Joint_TEST.cc
    JointAxis_TEST.cc
    Lidar_TEST.cc
    Light_TEST.cc
    Link_TEST.cc
    Magnetometer_TEST.cc
    Material_TEST.cc
    Mesh_TEST.cc
    Model_TEST.cc
    NavSat_TEST.cc
    Noise_TEST.cc
    parser_urdf_TEST.cc
    Param_TEST.cc
    parser_TEST.cc
    Pbr_TEST.cc
    Physics_TEST.cc
    Plane_TEST.cc
    Root_TEST.cc
    Scene_TEST.cc
    SemanticPose_TEST.cc
    SDF_TEST.cc
    Sensor_TEST.cc
    Sky_TEST.cc
    Sphere_TEST.cc
    Surface_TEST.cc
    Types_TEST.cc
    Visual_TEST.cc
    World_TEST.cc
  )

  # Build this test file only if Ignition Tools is installed.
  if (IGNITION-TOOLS_BINARY_DIRS)
    set (gtest_sources ${gtest_sources}
      ign_TEST.cc
    )
  endif()

  sdf_build_tests(${gtest_sources})

  if (NOT WIN32)
    set(SDF_BUILD_TESTS_EXTRA_EXE_SRCS Utils.cc)
    sdf_build_tests(Utils_TEST.cc)
  endif()

  if (NOT WIN32)
    set(SDF_BUILD_TESTS_EXTRA_EXE_SRCS FrameSemantics.cc)
    sdf_build_tests(FrameSemantics_TEST.cc)
  endif()

  if (NOT WIN32)
    set(SDF_BUILD_TESTS_EXTRA_EXE_SRCS Converter.cc)
    sdf_build_tests(Converter_TEST.cc)
  endif()
endif()

sdf_add_library(${sdf_target} ${sources})
target_compile_features(${sdf_target} PUBLIC cxx_std_17)
target_link_libraries(${sdf_target} PUBLIC ${IGNITION-MATH_LIBRARIES})

target_include_directories(${sdf_target}
  PUBLIC
    ${IGNITION-MATH_INCLUDE_DIRS}
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}/..>
)

if (USE_EXTERNAL_TINYXML)
  target_link_libraries(${sdf_target} PRIVATE ${tinyxml_LIBRARIES})
else()
  # Ignore the warnings from the internal library
  set_target_properties(sdformat${SDF_MAJOR_VERSION} PROPERTIES
      LINK_FLAGS "/IGNORE:4049 /IGNORE:4217")
endif()

message (STATUS "URDF_LIBRARY_DIRS=${URDF_LIBRARY_DIRS}")
message (STATUS "URDF_LIBRARIES=${URDF_LIBRARIES}")

if (NOT USE_INTERNAL_URDF)
  target_compile_options(${sdf_target} PRIVATE ${URDF_CFLAGS})
  if (${CMAKE_VERSION} VERSION_GREATER 3.13)
    target_link_options(${sdf_target} PRIVATE ${URDF_LDFLAGS})
  endif()
  target_link_libraries(${sdf_target} PRIVATE ${URDF_LIBRARIES})
endif()

sdf_install_library(${sdf_target})

if(NOT WIN32)
  add_subdirectory(cmd)
endif()

=== include/sdf/CMakeLists.txt ===
include (${sdf_cmake_dir}/SDFUtils.cmake)

set (headers
  Actor.hh
  AirPressure.hh
  Altimeter.hh
  Assert.hh
  Atmosphere.hh
  Box.hh
  Camera.hh
  Collision.hh
  Console.hh
  Cylinder.hh
  Element.hh
  Error.hh
  Exception.hh
  Filesystem.hh
  Frame.hh
  Geometry.hh
  Gui.hh
  Heightmap.hh
  Imu.hh
  Joint.hh
  JointAxis.hh
  Lidar.hh
  Light.hh
  Link.hh
  Magnetometer.hh
  Material.hh
  Mesh.hh
  Model.hh
  NavSat.hh
  Noise.hh
  Param.hh
  parser.hh
  Pbr.hh
  Physics.hh
  Plane.hh
  Root.hh
  Scene.hh
  SDFImpl.hh
  SemanticPose.hh
  Sensor.hh
  Sky.hh
  Sphere.hh
  Surface.hh
  Types.hh
  system_util.hh
  Visual.hh
  World.hh
)

set (sdf_headers "" CACHE INTERNAL "SDF headers" FORCE)
foreach (hdr ${headers})
  APPEND_TO_CACHED_STRING(sdf_headers
    "SDF Headers" "#include <sdf/${hdr}>\n")
endforeach()
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/sdf.hh.in
                ${CMAKE_CURRENT_BINARY_DIR}/sdf.hh)

sdf_install_includes("" ${headers} parser_urdf.hh
  ${CMAKE_CURRENT_BINARY_DIR}/sdf.hh)

=== debian/changelog ===
sdformat9 (9.6.1+ds1-3) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 11 Jan 2022 16:42:38 +0000

sdformat9 (9.6.1+ds1-2) experimental; urgency=medium

  * Make doc configurations to point to sdformat9-doc
    (Closes: #1001844)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 19 Dec 2021 22:35:58 +0000

sdformat9 (9.6.1+ds1-1) experimental; urgency=medium

  * New upstream version 9.6.1+ds
  * Update debian metadata to v9
  * New package to support transition from Gazebo to ignition-gazebo
    simulator will be deprecated in the next year, upstream recommends the
    migration to ignition-gazebo. To support this transition, sdformat9
    and sdformat (already available) will be in Debian to help with the
    installation of both simulators.  Upstream supports parallel installation
    of different major versions.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 18 Oct 2021 17:16:39 +0000

sdformat (9.3.0+ds-2) unstable; urgency=medium

  * Ship files for ignition integration

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 09 Sep 2020 09:46:40 +0000

sdformat (9.3.0+ds-1) unstable; urgency=medium

  * New upstream version 9.3.0
  * Update python3 patch
  * Update debhelper to 13
  * Add patch to define PATH_MAX for Debian Hurd
    (Closes: #892231)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 08 Sep 2020 16:19:36 +0000

sdformat (9.2.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 19:13:23 +0200

sdformat (9.2.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 11:30:47 +0200

sdformat (9.2.0+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Update d/watch to Github (switch suffix to ds)
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Apr 2020 11:26:12 +0200

sdformat (9.2.0+dfsg-1) experimental; urgency=medium

  * Team upload.

  [ Jose Luis Rivero ]
  * Update watch file

  [ Jochen Sprickerhof ]
  * Support all versions in d/watch
  * New upstream version 9.2.0+dfsg
  * Update copyright
  * Rebase patches
  * Rename packages (unversion -dev, new API)
  * Update d/control

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Apr 2020 09:54:10 +0200

sdformat (6.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Port scripts to Python 3 to drop Python 2 dependency (Closes: #938455).
  * Update Standards-Version to 4.5.0 (no changes required).
  * Add Rules-Requires-Root: no.
  * Update to debhelper-compat (= 12).

 -- Stuart Prescott <stuart@debian.org>  Mon, 27 Jan 2020 17:54:02 +1100

sdformat (6.2.0+dfsg-1) unstable; urgency=medium

  * Fix debian watch
  * Update standars
  * New upstream version 6.2.0+dfsg

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 21 Jan 2019 14:33:46 +0000

sdformat (6.0.0+dfsg-4) unstable; urgency=medium

  * Fix dependency of libsdformat4-dev with respect to ignition-math
    (Closes: #890987)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 21 Feb 2018 16:46:04 +0000

sdformat (6.0.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 20 Feb 2018 17:34:32 +0000

sdformat (6.0.0+dfsg-2) experimental; urgency=medium

  * Fix many problems related to the copyright file.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 12 Feb 2018 13:05:12 -0800

sdformat (6.0.0+dfsg-1) experimental; urgency=medium

  [ Jose Luis Rivero ]
  * Update dependencies
  * Clean up lintian-overrides
  * Do not install NEWS file. It is empty
  * Update copyright for 2017 year OSRF
  * Update rules: remove features in compat 11 and update hardening setting
  * Added graphviz to build deps
  * Remove c++11 unconditional patch
  * Set -DUSE_HOST_CFLAGS to false
  * Added patch to support None build type
  * Added patch to remove the find_packge of ignition-tools
  * Remove patch, expose the warning of missing ign-tools
  * Patch to respect CMAKE_X_FLAGS_
  * Fix gtest packaged patch
  * Update copyring file

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 09 Feb 2018 17:28:45 -0800

sdformat (4.3.2-1) unstable; urgency=medium

  * Imported Upstream version 4.3.2
  * Update to standards 4.0.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 05 Sep 2017 19:03:51 +0000

sdformat (4.2.0-3) unstable; urgency=medium

  * Team upload.
  * [33b27de] Fix wrong usage of else-keyword in cmake. (Closes: #870237)

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Aug 2017 22:11:33 +0200

sdformat (4.2.0-2) unstable; urgency=medium

  * [507060f] Use texlive-latex-recommended instead of latex-xcolor.
              (Closes: #865252)
  * [c2b854d] Remove myself from uploaders.

 -- Anton Gladky <gladk@debian.org>  Sun, 02 Jul 2017 22:54:42 +0200

sdformat (4.2.0-1) unstable; urgency=medium

  * Imported Upstream version 4.2.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 17 Jan 2017 16:52:33 +0000

sdformat (4.1.1-1) unstable; urgency=medium

  * Imported Upstream version 4.1.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 15 Sep 2016 22:32:41 +0000

sdformat (4.1.0-2) unstable; urgency=medium

  * Update standards to 3.9.8
  * Add patch to replace boost pointers by std
    (Closes: #834982)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 30 Aug 2016 23:45:22 +0000

sdformat (4.1.0-1) unstable; urgency=medium

  * Imported Upstream version 4.1.0

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 14 Jul 2016 16:46:04 +0000

sdformat (4.0.0-3) unstable; urgency=medium

  [ Steve Langasek ]
  * [e2fd351] Fix deps in autopkgtest. (Closes: #818915)

  [ Anton Gladky ]
  * [8abe20a] Add myself to uploaders.

 -- Anton Gladky <gladk@debian.org>  Mon, 21 Mar 2016 19:03:43 +0100

sdformat (4.0.0-2) unstable; urgency=medium

  * Team upload.


## sdformat9 9.7.0

=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

find_package(sdformat9 REQUIRED)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")

include_directories(${SDFormat_INCLUDE_DIRS})
link_directories(${SDFormat_LIBRARY_DIRS})

add_executable(simple simple.cc)
target_link_libraries(simple ${SDFormat_LIBRARIES})

add_executable(dom dom.cc)
target_link_libraries(dom ${SDFormat_LIBRARIES})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,7 @@
   Frame.cc
   FrameSemantics.cc
   Filesystem.cc
+  ForceTorque.cc
   Geometry.cc
   Gui.cc
   Heightmap.cc
@@ -110,6 +111,7 @@
     Exception_TEST.cc
     Frame_TEST.cc
     Filesystem_TEST.cc
+    ForceTorque_TEST.cc
     Geometry_TEST.cc
     Gui_TEST.cc
     Heightmap_TEST.cc
@@ -151,6 +153,7 @@
     )
   endif()
 
+  include_directories(${PROJECT_SOURCE_DIR}/test)
   sdf_build_tests(${gtest_sources})
 
   if (NOT WIN32)

=== sdf/1.6/CMakeLists.txt ===
set (sdfs
  actor.sdf
  altimeter.sdf
  atmosphere.sdf
  audio_source.sdf
  audio_sink.sdf
  battery.sdf
  box_shape.sdf
  camera.sdf
  collision.sdf
  contact.sdf
  cylinder_shape.sdf
  frame.sdf
  forcetorque.sdf
  geometry.sdf
  gps.sdf
  gripper.sdf
  gui.sdf
  heightmap_shape.sdf
  image_shape.sdf
  imu.sdf
  inertial.sdf
  joint.sdf
  light.sdf
  light_state.sdf
  link.sdf
  link_state.sdf
  logical_camera.sdf
  magnetometer.sdf
  material.sdf
  mesh_shape.sdf
  model.sdf
  model_state.sdf
  noise.sdf
  physics.sdf
  plane_shape.sdf
  plugin.sdf
  polyline_shape.sdf
  population.sdf
  pose.sdf
  projector.sdf
  ray.sdf
  rfidtag.sdf
  rfid.sdf
  road.sdf
  root.sdf
  scene.sdf
  sensor.sdf
  spherical_coordinates.sdf
  sphere_shape.sdf
  sonar.sdf
  state.sdf
  surface.sdf
  transceiver.sdf
  visual.sdf
  world.sdf
)

set (SDF_SCHEMA)

foreach(FIL ${sdfs})
  get_filename_component(ABS_FIL ${FIL} ABSOLUTE)
  get_filename_component(FIL_WE ${FIL} NAME_WE)

  list(APPEND SDF_SCHEMA "${CMAKE_CURRENT_BINARY_DIR}/${FIL_WE}.xsd")

  add_custom_command(
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${FIL_WE}.xsd"
    COMMAND ${RUBY} ${CMAKE_SOURCE_DIR}/tools/xmlschema.rb
    ARGS -s ${CMAKE_CURRENT_SOURCE_DIR} -i ${ABS_FIL} -o ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS ${ABS_FIL}
    COMMENT "Running xml schema compiler on ${FIL}"
    VERBATIM)
endforeach()

add_custom_target(schema1_6 ALL DEPENDS ${SDF_SCHEMA})

set_source_files_properties(${SDF_SCHEMA} PROPERTIES GENERATED TRUE)

install(FILES 1_5.convert ${sdfs} DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/sdformat${SDF_MAJOR_VERSION}/1.6)
install(FILES ${SDF_SCHEMA} DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/sdformat${SDF_MAJOR_VERSION}/1.6)

=== test/integration/CMakeLists.txt ===
set(TEST_TYPE "INTEGRATION")

set(tests
  actor_dom.cc
  audio.cc
  category_bitmask.cc
  cfm_damping_implicit_spring_damper.cc
  collision_dom.cc
  converter.cc
  default_elements.cc
  deprecated_specs.cc
  disable_fixed_joint_reduction.cc
  fixed_joint_reduction.cc
  force_torque_sensor.cc
  frame.cc
  geometry_dom.cc
  include.cc
  includes.cc
  joint_axis_frame.cc
  joint_axis_dom.cc
  joint_dom.cc
  light_dom.cc
  link_dom.cc
  link_light.cc
  locale_fix.cc
  locale_fix_cxx.cc
  material_pbr.cc
  model_dom.cc
  model_versions.cc
  nested_model.cc
  parser_error_detection.cc
  plugin_attribute.cc
  plugin_bool.cc
  plugin_include.cc
  provide_feedback.cc
  root_dom.cc
  scene_dom.cc
  sdf_basic.cc
  sdf_custom.cc
  surface_dom.cc
  unknown.cc
  urdf_gazebo_extensions.cc
  urdf_joint_parameters.cc
  visual_dom.cc
  world_dom.cc
)

if (PYTHONINTERP_FOUND AND PY_PSUTIL)
  set(tests ${tests} element_memory_leak.cc)
endif()

find_program(XMLLINT_EXE xmllint)
if (EXISTS ${XMLLINT_EXE})
  set (tests ${tests} schema_test.cc)
else()
  BUILD_WARNING("xmllint not found. schema_test won't be run")
endif()

link_directories(${PROJECT_BINARY_DIR}/test)

sdf_build_tests(${tests})

if (EXISTS ${XMLLINT_EXE})
  # Need to run schema target (build .xsd files) before running schema_test
  add_dependencies(${TEST_TYPE}_schema_test schema)
endif()

# Test symbols having the right name on linux only
if (UNIX AND NOT APPLE)
  configure_file(all_symbols_have_version.bash.in ${CMAKE_CURRENT_BINARY_DIR}/all_symbols_have_version.bash @ONLY)
  add_test(NAME INTEGRATION_versioned_symbols
    COMMAND bash ${CMAKE_CURRENT_BINARY_DIR}/all_symbols_have_version.bash ${CMAKE_BINARY_DIR}/src/libsdformat${SDF_MAJOR_VERSION}.so)
endif()

=== debian/changelog ===
sdformat9 (9.7.0-1~buster) buster; urgency=medium

  * sdformat9 9.7.0-1 release

 -- Carlos Aguero <caguero@openrobotics.org>  Wed, 03 Nov 2021 18:13:52 +0100

sdformat9 (9.6.1-1~buster) buster; urgency=medium

  * sdformat9 9.6.1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Tue, 07 Sep 2021 13:37:24 -0700

sdformat9 (9.6.0-1~buster) buster; urgency=medium

  * sdformat9 9.6.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 18 Aug 2021 15:39:06 -0700

sdformat9 (9.5.0-1~buster) buster; urgency=medium

  * sdformat9 9.5.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 11 Feb 2021 12:00:04 -0800

sdformat9 (9.4.0-1~buster) buster; urgency=medium

  * sdformat9 9.4.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 11 Jan 2021 19:09:15 -0800

sdformat9 (9.3.0-1~buster) buster; urgency=medium

  * sdformat9 9.3.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Mon, 07 Sep 2020 09:45:51 -0700

sdformat9 (9.3.0~pre1-1~buster) buster; urgency=medium

  * sdformat9 9.3.0~pre1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Mon, 17 Aug 2020 11:43:47 -0700

sdformat9 (9.2.0-1~buster) buster; urgency=medium

  * sdformat9 9.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 02 Apr 2020 11:56:37 -0700

sdformat9 (9.1.0-1~buster) buster; urgency=medium

  * sdformat9 9.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 29 Jan 2020 21:31:34 -0800

sdformat9 (9.1.0~pre2-1~buster) buster; urgency=medium

  * sdformat9 9.1.0~pre2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 24 Jan 2020 16:27:14 -0800

sdformat9 (9.1.0~pre1-1~buster) buster; urgency=medium

  * sdformat9 9.1.0~pre1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Wed, 22 Jan 2020 22:43:30 -0800

sdformat9 (9.0.0-1~buster) buster; urgency=medium

  * sdformat9 9.0.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 10 Dec 2019 17:18:14 +0100

sdformat9 (9.0.0~pre4-1~buster) buster; urgency=medium

  * sdformat9 9.0.0~pre4-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Fri, 06 Dec 2019 10:22:38 -0800

sdformat9 (9.0.0~pre3-1~buster) buster; urgency=medium

  * sdformat9 9.0.0~pre3-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Wed, 04 Dec 2019 20:05:00 -0800

sdformat9 (9.0.0~pre2-1~buster) buster; urgency=medium

  * sdformat9 9.0.0~pre2-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Wed, 04 Dec 2019 16:16:07 -0800

sdformat9 (9.0.0~pre1-2~buster) buster; urgency=medium

  * sdformat9 9.0.0~pre1-2 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 22 Nov 2019 14:49:37 -0800

sdformat9 (9.0.0~pre1-1~buster) buster; urgency=medium

  * sdformat9 9.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 22 Nov 2019 13:53:18 -0800

sdformat9 (8.999.999-1~buster) buster; urgency=medium

  * Stub

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Nov 2019 13:36:18 -0800

=== debian/control ===
Source: sdformat9
Standards-Version: 3.9.5
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               python,
               libtinyxml-dev,
               doxygen,
               texlive-base,
               texlive-fonts-recommended,
               texlive-latex-extra,
               ruby,
               libignition-tools-dev,
               libignition-math6-dev
Vcs-Browser: https://bitbucket.org/osrf/sdformat9-release
Vcs-Hg: https://bitbucket.org/osrf/sdformat9-release
Homepage: http://sdformat.org

Package: libsdformat9
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends:  sdformat9-sdf (>= ${source:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
Multi-Arch: same
Breaks: libsdformat2,
        libsdformat3,
        libsdformat4,
        libsdformat5
Replaces: libsdformat2,
          libsdformat3,
          libsdformat4,
          libsdformat5
Description: Simulation Description Format (SDF) parser - Shared library
 SDF is an XML file format that describes environments, objects, and robots
 in a manner suitable for robotic applications. SDF is capable of representing
 and describing different physic engines, lighting properties, terrain, static
 or dynamic objects, and articulated robots with various sensors, and acutators.
 The format of SDF is also described by XML, which facilitates updates and
 allows conversion from previous versions. A parser is also contained within
 this package that reads SDF files and returns a C++ interface.

Package: libsdformat9-dev
Architecture: any
Section: libdevel
Depends: libtinyxml-dev,
         libignition-tools-dev,
         libignition-math6-dev,
         libsdformat9 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libsdformat2-dev,
        libsdformat3-dev,
        libsdformat4-dev,
        libsdformat5-dev
Replaces: libsdformat2-dev,
        libsdformat3-dev,
        libsdformat4-dev,
        libsdformat5-dev
Multi-Arch: same
Description: Simulation Description Format (SDF) parser - Development files
 SDF is an XML file format that describes environments, objects, and robots
 in a manner suitable for robotic applications. SDF is capable of representing
 and describing different physic engines, lighting properties, terrain, static
 or dynamic objects, and articulated robots with various sensors, and acutators.
 The format of SDF is also described by XML, which facilitates updates and
 allows conversion from previous versions. A parser is also contained within
 this package that reads SDF files and returns a C++ interface.

Package: sdformat9-sdf
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Multi-Arch: foreign
Conflicts: libsdformat1
Description: Simulation Description Format (SDF) parser - SDF files
 SDF is an XML file format that describes environments, objects, and robots
 in a manner suitable for robotic applications. SDF is capable of representing
 and describing different physic engines, lighting properties, terrain, static
 or dynamic objects, and articulated robots with various sensors, and acutators.
 The format of SDF is also described by XML, which facilitates updates and
 allows conversion from previous versions. A parser is also contained within
 this package that reads SDF files and returns a C++ interface.
 .
 This package contains SDF (Simulation Description Format) XML files needed by
 the libsdformat.

Package: libsdformat9-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
     libsdformat9 (= ${binary:Version}),
     ${misc:Depends}
Multi-Arch: same
Description: Simulation Description Format (SDF) parser - Debugging symbols
 SDF is an XML file format that describes environments, objects, and robots
 in a manner suitable for robotic applications. SDF is capable of representing
 and describing different physic engines, lighting properties, terrain, static
 or dynamic objects, and articulated robots with various sensors, and acutators.
 The format of SDF is also described by XML, which facilitates updates and
 allows conversion from previous versions. A parser is also contained within
 this package that reads SDF files and returns a C++ interface.

Package: sdformat9-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Multi-Arch: foreign
Description: Simulation Description Format (SDF) parser - Documentation
 SDF is an XML file format that describes environments, objects, and robots
 in a manner suitable for robotic applications. SDF is capable of representing
 and describing different physic engines, lighting properties, terrain, static
 or dynamic objects, and articulated robots with various sensors, and acutators.
 The format of SDF is also described by XML, which facilitates updates and
 allows conversion from previous versions. A parser is also contained within
 this package that reads SDF files and returns a C++ interface.
 .
 This package contains the program documentation

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

.PHONY: override_dh_auto_configure \
        override_dh_strip \
        override_dh_auto_test

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo

# Tests are broken without a installed copy of sdformat.
# see: https://bitbucket.org/osrf/sdformat/issue/35
override_dh_auto_test:
	true

override_dh_strip:
	dh_strip -a --dbg-package=libsdformat9-dbg

## sdformat9 9.7.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,8 +27,8 @@
 set (SDF_PROTOCOL_VERSION 1.7)
 
 set (SDF_MAJOR_VERSION 9)
-set (SDF_MINOR_VERSION 6)
-set (SDF_PATCH_VERSION 1)
+set (SDF_MINOR_VERSION 7)
+set (SDF_PATCH_VERSION 0)
 
 set (SDF_VERSION ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION})
 set (SDF_VERSION_FULL ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION}.${SDF_PATCH_VERSION})

=== test/CMakeLists.txt ===
include_directories (
  ${PROJECT_SOURCE_DIR}/include
  ${PROJECT_BINARY_DIR}/include
  ${PROJECT_SOURCE_DIR}/test/gtest/include
  ${PROJECT_SOURCE_DIR}/test/gtest
  ${PROJECT_SOURCE_DIR}/test
  ${IGNITION-MATH_INCLUDE_DIRS}
)

link_directories(
  ${IGNITION-MATH_LIBRARY_DIRS}
)

if (USE_EXTERNAL_TINYXML)
  include_directories(${tinyxml_INCLUDE_DIRS})
  link_directories(${tinyxml_LIBRARY_DIRS})
endif()

configure_file(test_config.h.in ${PROJECT_BINARY_DIR}/test_config.h)

# Build gtest
add_library(gtest STATIC gtest/src/gtest-all.cc)
add_library(gtest_main STATIC gtest/src/gtest_main.cc)
target_link_libraries(gtest_main gtest)
set(GTEST_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest.a")
set(GTEST_MAIN_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest_main.a")

execute_process(COMMAND cmake -E remove_directory ${CMAKE_BINARY_DIR}/test_results)
execute_process(COMMAND cmake -E make_directory ${CMAKE_BINARY_DIR}/test_results)
include_directories(${GTEST_INCLUDE_DIRS})

add_subdirectory(integration)
add_subdirectory(performance)

=== include/sdf/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
   Error.hh
   Exception.hh
   Filesystem.hh
+  ForceTorque.hh
   Frame.hh
   Geometry.hh
   Gui.hh

=== sdf/1.0/CMakeLists.txt ===
set (sdfs
  actor.sdf
  camera.sdf
  collision.sdf
  contact.sdf
  gazebo.sdf
  geometry.sdf
  gripper.sdf
  gui.sdf
  inertial.sdf
  joint.sdf
  light.sdf
  link.sdf
  model.sdf
  physics.sdf
  plugin.sdf
  projector.sdf
  ray.sdf
  rfidtag.sdf
  rfid.sdf
  road.sdf
  scene.sdf
  sensor.sdf
  state.sdf
  surface.sdf
  visual.sdf
  world.sdf
)

install(FILES ${sdfs} DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/sdformat${SDF_MAJOR_VERSION}/1.0/)

=== debian/changelog ===
sdformat9 (9.7.0+ds-1) unstable; urgency=medium

  * New upstream version 9.7.0+ds

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 03 Feb 2022 15:32:12 +0000

=== debian/control ===
Source: sdformat9
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               python3,
               libtinyxml-dev,
               liburdfdom-dev,
               doxygen,
               graphviz,
               texlive-base,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               texlive-plain-generic,
               ruby,
               libignition-math-dev (>= 6),
               libgtest-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/sdformat
Vcs-Git: https://salsa.debian.org/science-team/sdformat.git
Homepage: http://sdformat.org
Rules-Requires-Root: no

Package: libsdformat9-9
Architecture: any
Multi-Arch: same
Section: libs
Depends: sdformat9-sdf (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Simulation Description Format (SDF) parser - Shared library
 SDF is an XML file format that describes environments, objects, and robots
 in a manner suitable for robotic applications. SDF is capable of representing
 and describing different physic engines, lighting properties, terrain, static
 or dynamic objects, and articulated robots with various sensors, and acutators.
 The format of SDF is also described by XML, which facilitates updates and
 allows conversion from previous versions. A parser is also contained within
 this package that reads SDF files and returns a C++ interface.
 .
 This package gathers the shared library

Package: libsdformat9-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libtinyxml-dev,
         libignition-math-dev (>= 6),
         libsdformat9-9 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libsdformat-dev (<< 9.6.1+ds-1~)
Replaces: libsdformat-dev (<< 9.6.1+ds-1~)
Description: Simulation Description Format (SDF) parser - Development files
 SDF is an XML file format that describes environments, objects, and robots
 in a manner suitable for robotic applications. SDF is capable of representing
 and describing different physic engines, lighting properties, terrain, static
 or dynamic objects, and articulated robots with various sensors, and acutators.
 The format of SDF is also described by XML, which facilitates updates and
 allows conversion from previous versions. A parser is also contained within
 this package that reads SDF files and returns a C++ interface.
 .
 This package contains development files (headers, shared library
 symbolic link and cmake file).

Package: sdformat9-sdf
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Breaks: sdformat-sdf (<< 9.6.1+ds-1~)
Replaces: sdformat-sdf (<< 9.6.1+ds-1~)
Description: Simulation Description Format (SDF) parser - SDF files
 SDF is an XML file format that describes environments, objects, and robots
 in a manner suitable for robotic applications. SDF is capable of representing
 and describing different physic engines, lighting properties, terrain, static
 or dynamic objects, and articulated robots with various sensors, and acutators.
 The format of SDF is also described by XML, which facilitates updates and
 allows conversion from previous versions. A parser is also contained within
 this package that reads SDF files and returns a C++ interface.
 .
 This package contains SDF (Simulation Description Format) XML files needed by
 the libsdformat.

Package: sdformat9-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Breaks: sdformat-doc (<< 9.6.1+ds-1~)
Replaces: sdformat-doc (<< 9.6.1+ds-1~)
Description: Simulation Description Format (SDF) parser - Documentation
 SDF is an XML file format that describes environments, objects, and robots
 in a manner suitable for robotic applications. SDF is capable of representing
 and describing different physic engines, lighting properties, terrain, static
 or dynamic objects, and articulated robots with various sensors, and acutators.
 The format of SDF is also described by XML, which facilitates updates and
 allows conversion from previous versions. A parser is also contained within
 this package that reads SDF files and returns a C++ interface.
 .
 This package contains the program documentation
